package com.mx.dla.dda.contrato.fees.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesSuscriptorBD extends BaseDTO{

	private static final long serialVersionUID = 1L;
	                
	private Long    idContratoPago;
	private Long    idPagoRango;
	private String  desde;
	private String  hasta;
	private String  costo;
	private Long    idCategoria;
	private String  desCategoria;
	private Integer anio;
	
	
	public FeesSuscriptorBD(){}
		
	public FeesSuscriptorBD(Long idPagoRango, String costo, Long idCategoria) {
		super();
		this.idPagoRango = idPagoRango;
		this.costo = costo;
		this.idCategoria = idCategoria;
	}
		
	public FeesSuscriptorBD(Long idContratoPago, Long idPagoRango,
			String desde, String hasta) {
		super();
		this.idContratoPago = idContratoPago;
		this.idPagoRango = idPagoRango;
		this.desde = desde;
		this.hasta = hasta;
	}

	public FeesSuscriptorBD(Long idContratoPago, Long idPagoRango,
			String desde, String hasta, String costo, Long idCategoria,
			String desCategoria) {	
		this.idContratoPago = idContratoPago;
		this.idPagoRango = idPagoRango;
		this.desde = desde;
		this.hasta = hasta;
		this.costo = costo;
		this.idCategoria = idCategoria;
		this.desCategoria = desCategoria;
	}
	
	public FeesSuscriptorBD(Long idContratoPago, Integer anio) {
		super();
		this.idContratoPago = idContratoPago;
		this.anio = anio;
	}

	public FeesSuscriptorBD(Long idContratoPago, Integer anio, Long idCategoria) {
		super();
		this.idContratoPago = idContratoPago;
		this.anio = anio;
		this.idCategoria = idCategoria;
	}
	
	public Long getIdContratoPago() {
		return idContratoPago;
	}
	public void setIdContratoPago(Long idContratoPago) {
		this.idContratoPago = idContratoPago;
	}
	public Long getIdPagoRango() {
		return idPagoRango;
	}
	public void setIdPagoRango(Long idPagoRango) {
		this.idPagoRango = idPagoRango;
	}
	public String getDesde() {
		return desde;
	}
	public void setDesde(String desde) {
		this.desde = desde;
	}
	public String getHasta() {
		return hasta;
	}
	public void setHasta(String hasta) {
		this.hasta = hasta;
	}
	public String getCosto() {
		return costo;
	}
	public void setCosto(String costo) {
		this.costo = costo;
	}
	public Long getIdCategoria() {
		return idCategoria;
	}
	public void setIdCategoria(Long idCategoria) {
		this.idCategoria = idCategoria;
	}
	public String getDesCategoria() {
		return desCategoria;
	}
	public void setDesCategoria(String desCategoria) {
		this.desCategoria = desCategoria;
	}

	public Integer getAnio() {
		return anio;
	}

	public void setAnio(Integer anio) {
		this.anio = anio;
	}
	
}
